import { jsx as _jsx } from "react/jsx-runtime";
import React, { useEffect } from 'react';
import { getResponsiveFontSize, getResponsiveLineHeight } from '../common/utils.js';
var SimpleInformation = function (props) {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j;
    var _k = React.useState(''), value = _k[0], setValue = _k[1];
    var fontSizeSetup = (_e = (_d = (_c = (_b = (_a = props.setup.chart) === null || _a === void 0 ? void 0 : _a.item_styles) === null || _b === void 0 ? void 0 : _b[0]) === null || _c === void 0 ? void 0 : _c.style) === null || _d === void 0 ? void 0 : _d.font_size) !== null && _e !== void 0 ? _e : 40;
    var styleChart = {
        fontSize: getResponsiveFontSize(fontSizeSetup),
        color: ((_j = (_h = (_g = (_f = props.setup.chart) === null || _f === void 0 ? void 0 : _f.item_styles) === null || _g === void 0 ? void 0 : _g[0]) === null || _h === void 0 ? void 0 : _h.style) === null || _j === void 0 ? void 0 : _j.color) || '#67C23A',
        fontWeight: 'bold',
        lineHeight: getResponsiveLineHeight(fontSizeSetup),
    };
    useEffect(function () {
        var _a, _b;
        if (props.chartData && Array.isArray(props.chartData) && props.chartData.length > 0) {
            var value_1 = props.chartData[0][(_b = (_a = props.setup.chart) === null || _a === void 0 ? void 0 : _a.seri) === null || _b === void 0 ? void 0 : _b.field];
            setValue(value_1 !== null && value_1 !== void 0 ? value_1 : '');
        }
    }, [props.setup.chart, props.chartData]);
    return (_jsx("div", { className: "simple-information", style: {
            width: '100%',
            textAlign: 'center',
        }, children: _jsx("div", { className: "simple-infomation__value", style: styleChart, children: value }) }));
};
export default SimpleInformation;
