var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React, { useEffect } from 'react';
import { getResponsiveFontSize } from '../common/utils.js';
var ChartSub = function (_a) {
    var _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x;
    var setup = _a.setup, subChartData = _a.subChartData;
    var _y = React.useState(null), subData = _y[0], setSubData = _y[1];
    var getValueClass = function (value) {
        var stringValue = String(value);
        if (stringValue.startsWith('-'))
            return 'decrease';
        if (stringValue.startsWith('+'))
            return 'increase';
        return '';
    };
    var baseStyles = ((_c = (_b = setup.sub) === null || _b === void 0 ? void 0 : _b.styles) === null || _c === void 0 ? void 0 : _c.all)
        ? {
            fontSize: getResponsiveFontSize((_d = setup.sub.styles.all.font_size) !== null && _d !== void 0 ? _d : 14),
            color: setup.sub.styles.all.color || undefined,
            backgroundColor: setup.sub.styles.all.background_color || undefined,
            border: setup.sub.styles.all.border || undefined,
            borderRadius: setup.sub.styles.all.border_radius || undefined,
        }
        : {};
    var leftStyles = __assign(__assign(__assign({}, baseStyles), (((_f = (_e = setup.sub) === null || _e === void 0 ? void 0 : _e.styles) === null || _f === void 0 ? void 0 : _f.left)
        ? {
            fontSize: getResponsiveFontSize((_g = setup.sub.styles.left.font_size) !== null && _g !== void 0 ? _g : 14),
            color: setup.sub.styles.left.color || undefined,
            backgroundColor: setup.sub.styles.left.background_color || undefined,
            border: setup.sub.styles.left.border || undefined,
            borderRadius: setup.sub.styles.left.border_radius || undefined,
        }
        : {})), { display: ((_h = setup.sub) === null || _h === void 0 ? void 0 : _h.inline) ? 'flex' : 'block', width: '33.333%', justifyContent: 'left' });
    var centerStyles = __assign(__assign(__assign({}, baseStyles), (((_k = (_j = setup.sub) === null || _j === void 0 ? void 0 : _j.styles) === null || _k === void 0 ? void 0 : _k.center)
        ? {
            fontSize: getResponsiveFontSize((_l = setup.sub.styles.center.font_size) !== null && _l !== void 0 ? _l : 14),
            color: setup.sub.styles.center.color || undefined,
            backgroundColor: setup.sub.styles.center.background_color || undefined,
            border: setup.sub.styles.center.border || undefined,
            borderRadius: setup.sub.styles.center.border_radius || undefined,
        }
        : {})), { display: ((_m = setup.sub) === null || _m === void 0 ? void 0 : _m.inline) ? 'flex' : 'block', width: '33.333%', justifyContent: 'center' });
    var rightStyles = __assign(__assign(__assign({}, baseStyles), (((_p = (_o = setup.sub) === null || _o === void 0 ? void 0 : _o.styles) === null || _p === void 0 ? void 0 : _p.right)
        ? {
            fontSize: getResponsiveFontSize((_q = setup.sub.styles.right.font_size) !== null && _q !== void 0 ? _q : 14),
            color: setup.sub.styles.right.color || undefined,
            backgroundColor: setup.sub.styles.right.background_color || undefined,
            border: setup.sub.styles.right.border || undefined,
            borderRadius: setup.sub.styles.right.border_radius || undefined,
        }
        : {})), { display: ((_r = setup.sub) === null || _r === void 0 ? void 0 : _r.inline) ? 'flex' : 'block', width: '33.333%', justifyContent: 'right' });
    var globalCssClass = ((_u = (_t = (_s = setup.sub) === null || _s === void 0 ? void 0 : _s.styles) === null || _t === void 0 ? void 0 : _t.all) === null || _u === void 0 ? void 0 : _u.css_class) || '';
    useEffect(function () {
        if (subChartData && Array.isArray(subChartData) && subChartData.length > 0) {
            setSubData(subChartData[0]);
        }
    }, [subChartData]);
    if (!subData)
        return null;
    return (_jsxs("div", { className: "s-dashboard-sub", style: {
            display: 'flex',
            alignItems: 'center',
            justifyContent: 'space-between',
            width: '100%',
        }, children: [((_v = setup.sub) === null || _v === void 0 ? void 0 : _v.left) && (_jsxs("div", { className: "s-dashboard-sub__left ".concat(globalCssClass), style: leftStyles, children: [setup.sub.left.label && _jsx("div", { className: "s-dashboard-sub__left--label", children: setup.sub.left.label }), _jsx("div", { className: "s-dashboard-sub__left--value", children: subData[setup.sub.left.field || 'left'] })] })), ((_w = setup.sub) === null || _w === void 0 ? void 0 : _w.center) && (_jsxs("div", { className: "s-dashboard-sub__center ".concat(globalCssClass), style: centerStyles, children: [setup.sub.center.label && _jsx("div", { className: "s-dashboard-sub__center--label", children: setup.sub.center.label }), _jsx("div", { className: "s-dashboard-sub__center--value", children: subData[setup.sub.center.field || 'center'] })] })), ((_x = setup.sub) === null || _x === void 0 ? void 0 : _x.right) && (_jsxs("div", { className: "s-dashboard-sub__right ".concat(globalCssClass), style: rightStyles, children: [setup.sub.right.label && _jsx("div", { className: "s-dashboard-sub__right--label", children: setup.sub.right.label }), _jsx("div", { className: "s-dashboard-sub__right--value ".concat(getValueClass(subData[setup.sub.right.field || 'right'])), children: subData[setup.sub.right.field || 'right'] })] }))] }));
};
export default ChartSub;
